Bug 635918 - While inputting Hangul (Korean alphabet) with ibus, cursor does't move
Summary: While inputting Hangul (Korean alphabet) with ibus, cursor does't move
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-21 02:02 UTC by sangu
Modified: 2010-11-08 22:36 UTC (History)
3 users (show)

Fixed In Version: openoffice.org-3.3.0-13.3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-03 12:28:25 UTC
Type: ---


Attachments (Terms of Use)

Description sangu 2010-09-21 02:02:46 UTC
Description of problem:
While inputting Hangul (Korean alphabet) with ibus, curor does't move.

Version-Release number of selected component (if applicable):
3.3.0-8.2.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
ibus-1.3.7-5.fc14.x86_64
ibus-hangul-1.3.0.20100329-3.fc14.x86_64

Comment 1 David Tardon 2010-09-21 08:03:04 UTC
I think I see it, but maybe what I wrote just weren't allowed IM sequences... Can you give us a sample sequence and the Hangul characters it should turn into?

Comment 2 sangu 2010-09-21 16:57:03 UTC
Steps to Reproduce:
1. start openoffice and start hangul input
2. type akakak with hangul input method (ibus-hangul)

Actual results:
마
Expected results:
마마마

Comment 3 David Tardon 2010-10-21 13:38:05 UTC
So, in GtkSalFrame::IMHandler::signalIMCommit we have

pThis->m_aInputEvent.mpTextAttr = 0;

and some 20 lines below a condition that tests for pThis->m_aInputEvent.mpTextAttr != 0 .-)

Comment 4 David Tardon 2010-10-22 05:52:45 UTC
will be fixed in >=3.3.0-11.2.fc14

Comment 5 Fedora Update System 2010-10-23 18:58:41 UTC
openoffice.org-3.3.0-12.1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-12.1.fc14

Comment 6 Fedora Update System 2010-10-28 06:02:47 UTC
openoffice.org-3.3.0-12.1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-12.1.fc14

Comment 7 Fedora Update System 2010-11-01 20:53:25 UTC
openoffice.org-3.3.0-13.3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-13.3.fc14

Comment 8 sangu 2010-11-03 12:28:25 UTC
Fixed! thanks.

Comment 9 Fedora Update System 2010-11-08 22:36:22 UTC
openoffice.org-3.3.0-13.3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.